Skip to navigation

List PublishingRecord items

Beta
List PublishingRecord items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

createdAt.gtstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

id.anyOflist of stringsOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

modifiedAt.gtstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptionalformat: "datetime"

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

nextTokenstringOptional
Token for pagination
omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
publishableId.anyOflist of stringsOptional

Restricts results to records of any of the specified publishable IDs (e.g. template or procedure IDs). Comma-separated list.

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstring or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error